# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           openeuclide
Version:        0.5        
Release:        alt1_8
Summary:        A geometry software that is intended for educational or modeling purposes

Group:          Engineering
License:        GPLv2+
URL:            http://coulon.publi.free.fr/openeuclide/index.php
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}-%{version}.tgz

#The upstream sources results in FTBFS.
#Patch to add necessary header files to the source to make it build.
Patch0:         %{name}-%{version}-fix-FTBFS.patch

#Application's version was used in desktop entry file
#Patch to fix the version
#Patch adds categories and icon keys to the desktop file
Patch1:         %{name}-fix-desktop-file.patch      


BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
OpenEuclide is a 2D geometry software: figures are 
defined dynamically by describing formal geometrical constraints.
This project is a basic tool for educational or modeling purpose.

%prep
%setup -q -n %{name}
mv %{name}.desktop~ %{name}.desktop
%patch0
%patch1
find . -name "CVS"  -exec rm -rf {} +;


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%doc README NEWS AUTHORS COPYING doc/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png



%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_8
- initial fc import

